Subquery Where condition on Laravel query builder

my problem is simple, I’m a student, I’m learning laravel, i don’t know how to create a where condition from a subquery. This is the query “SELECT id_parameter,value,code_rule,block,grouping,count FROM rule_definition WHERE (code_rule IN (SELECT code_rule FROM rule_definition WHERE id_parameter = 1 AND value = ‘$x’) AND (id_parameter = 1 AND value = ‘$x’)) OR (id_parameter…

Details

Using Flex to expand div to fill remaining space works on every browser but Firefox

I am using Flex to have a div fill up the remaining height of the initial screen. This is the code, .fullscreen-container { display: flex; flex-flow: column; height: 100%; } .fullscreen-container .site-header { flex: 0 1 auto; } .fullscreen-container .homepage-slider { flex: 1 1 auto; } <div class=’fullscreen-container’> <header class=”site-header”> CONTENT </header> <div class=’homepage-slider’> CONTENT…

Details

I am getting this error while installing npm

F:\Hcheckup2.0>npm install npm WARN deprecated [email protected]: [email protected]<3 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of [email protected] npm WARN deprecated [email protected]: We have renamed the @ckeditor package. New versions are available under the @ckeditor4 name. npm WARN deprecated [email protected]: [email protected]<3…

Details